unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ApplSettings, Values, StdCtrls ;
               {------}
type
  TfrmMain = class(TForm)
    AP: TApplParams;
    Label1: TLabel;
    Button1: TButton;
    lblStr: TLabel;
    lblInt: TLabel;
    Change: TButton;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure ChangeClick(Sender: TObject);
  private
    { Private-Deklarationen }
    Parameters : TParameters ; { defined in Values unit }
  public
    { Public-Deklarationen }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.FormCreate(Sender: TObject);
begin
     { during design-time, it is not possible to point to the TParameters }
     { class, but you can do this during runtime }
     Parameters := TParameters.create (self,AP) ;   { AP = component name }
end;

procedure TfrmMain.Button1Click(Sender: TObject);
begin
     { Access is simply to the Parameters class }
     lblStr.caption := Parameters.AnyText ;
     lblInt.caption := IntToStr (Parameters.AnyNumber) ;
end;

procedure TfrmMain.ChangeClick(Sender: TObject);
begin
     { New Values for AnyText and AnyNumber property in Parameters class }
     { Only the class parameters are changed. By closing the application }
     { the values are saved to the inifile rsp. registry }
     with Parameters do begin
       AnyText := InputBox ('Enter text','AnyText = ',AnyText) ;
       AnyNumber := StrToInt (InputBox ('Enter any number','AnyNumber = ',
                                        IntToStr (AnyNumber))) ;
     end ;
end;

end.
